Bug 250139 - net/libnpupnp: Update to 4.0.12
Summary: net/libnpupnp: Update to 4.0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-05 10:59 UTC by daniel.engberg.lists
Modified: 2020-11-22 19:58 UTC (History)
2 users (show)

See Also:


Attachments
Patch for libnpupnp (1.40 KB, patch)
2020-10-05 10:59 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-10-05 10:59:53 UTC
Created attachment 218539 [details]
Patch for libnpupnp

Update (lib)npupnp to 4.0.12

Compile tested on FreeBSD 13.0-CURRENT #0 r364979 (amd64) (make + make check-plist)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-10-05 11:03:03 UTC
Upstream doesn't provide a changelog

libnpupnp builds with older versions of libmicrohttpd however there's a bug in current version on FreeBSD which makes libnpupnp respond slowly (bug confirmed fixed in libmicrohttpd 0.9.71 by upstream) so "Depends on" is artificial to avoid unnecessary package bumping.
Comment 2 Automation User 2020-10-05 11:13:59 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/198147666
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-05 13:14:53 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.


Thanks!
Comment 4 daniel.engberg.lists 2020-11-04 08:02:03 UTC
Fernando, 
Is this something you can commit?

Best regards,
Daniel
Comment 5 Fernando Apesteguía freebsd_committer 2020-11-05 12:21:19 UTC
(In reply to daniel.engberg.lists from comment #4)
Hi Daniel,

I'm investigating the status of the PR this one depends on. I'll let you know when I know more.

Thanks!
Comment 6 daniel.engberg.lists 2020-11-06 20:10:48 UTC
Sounds great, thanks
Comment 7 commit-hook freebsd_committer 2020-11-07 17:49:14 UTC
A commit references this bug:

Author: fernape
Date: Sat Nov  7 17:49:07 UTC 2020
New revision: 554413
URL: https://svnweb.freebsd.org/changeset/ports/554413

Log:
  net/libnpupnp: Update to 4.0.12

  PR:	250139
  Submitted by:	daniel.engberg.lists@pyret.net (maintainer)

Changes:
  head/net/libnpupnp/Makefile
  head/net/libnpupnp/distinfo
Comment 8 daniel.engberg.lists 2020-11-07 17:56:00 UTC
Thanks!